package frc.robot.constants;

import edu.wpi.first.math.kinematics.DifferentialDriveKinematics;

public class DifferentialDriveConstants {
    public static final int kFrontLeftPWM = 0;
    public static final int kRearLeftPWM = 1;
    public static final int kFrontRightPWM = 2;
    public static final int kRearRightPWM = 3;

    // TODO Are these the right values
    public static final int kLeftEncoderChannelA = 0;
    public static final int kLeftEncoderChannelB = 1;
    public static final int kRightEncoderChannelA = 2;
    public static final int kRightEncoderChannelB = 3;

    // TODO Set this to a real value
    public static final double kDistancePerPulseMeters = 0;

    public static final double kSlowModeMultiplier = .75;

    // TODO Set these to a real value
    public static final double kTrackWidthMeters = 0;
    public static final double kMaxSpeedMetersPerSecond = 0;
    public static final double kMaxAngularSpeedRadiansPerSecond = 0;

    public static final boolean kInvertForwardBackward = true;
    public static final boolean kInvertLeftRight = true;
    public static final boolean kInvertGyro = true;
    public static final boolean kInvertEncoders = false;

    public static final DifferentialDriveKinematics kKinematics = new DifferentialDriveKinematics(
        kTrackWidthMeters
    );
}
