package frc.robot.constants;

import edu.wpi.first.math.geometry.Translation2d;
import edu.wpi.first.math.kinematics.MecanumDriveKinematics;

public class MecanumDriveConstants {
    public static final int kFrontLeftPWM = 0;
    public static final int kRearLeftPWM = 1;
    public static final int kFrontRightPWM = 2;
    public static final int kRearRightPWM = 3;

    // TODO Are these the right values
    public static final int kFrontLeftEncoderChannelA = 0;
    public static final int kFrontLeftEncoderChannelB = 1;
    public static final int kRearLeftEncoderChannelA = 2;
    public static final int kRearLeftEncoderChannelB = 3;
    public static final int kFrontRightEncoderChannelA = 4;
    public static final int kFrontRightEncoderChannelB = 5;
    public static final int kRearRightEncoderChannelA = 6;
    public static final int kRearRightEncoderChannelB = 7;

    // TODO Set this to a real value
    public static final double kDistancePerPulseMeters = 0;

    public static final double kSlowModeMultiplier = .75;

    // TODO Set these to a real value
    public static final Translation2d kFrontLeftTranslation = 
        new Translation2d(0, 0);
    public static final Translation2d kRearLeftTranslation =
        new Translation2d(0, 0);
    public static final Translation2d kFrontRightTranslation =
        new Translation2d(0, 0);
    public static final Translation2d kRearRightTranslation =
        new Translation2d(0, 0);

    public static final double kMaxSpeedMetersPerSecond = 0;
    public static final double kMaxAngularSpeedRadiansPerSecond = 0;

    public static final boolean kInvertForwardBackward = true;
    public static final boolean kInvertLeftRight = true;
    public static final boolean kInvertRotation = true;
    public static final boolean kInvertGyro = true;
    public static final boolean kInvertEncoders = false;

    public static final MecanumDriveKinematics kKinematics = new MecanumDriveKinematics(
        kFrontLeftTranslation, 
        kFrontRightTranslation, 
        kRearLeftTranslation, 
        kRearRightTranslation
    );
}
