package frc.robot.interfaces;

import edu.wpi.first.math.geometry.Pose2d;
import edu.wpi.first.math.kinematics.ChassisSpeeds;
import edu.wpi.first.wpilibj2.command.Command;
import edu.wpi.first.wpilibj2.command.button.CommandXboxController;

public interface IDrivetrain {
    public boolean isSlowMode();

    public boolean isFieldOriented();

    public Pose2d getPose();

    public void resetPose(Pose2d pose);

    public ChassisSpeeds getChassisSpeeds();

    public Command toggleSlowMode();

    public Command toggleFieldOriented();

    public Command drive(CommandXboxController controller);

    public Command drive(ChassisSpeeds speeds);

    public Command drive(Pose2d targetPose);

    public Command stop();
}
